SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001280SiT!triggerspublic2010-04-15 21:312011-02-22 15:08
Reporterkieran 
Assigned Tokieran 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001280: Reset password broken
DescriptionThis will probably be fixed when the new triggers are finished, but logging to remember.

Warning [2]
preg_replace(): Compilation failed: nothing to repeat at offset 8 in /home/kieran/Code/sit/lib/mime.inc.php @ line 90 preg_replace() MIME_mail() send_email() send_trigger_email() trigger_action() fire() TriggerEvent()

Application Error [256]
Internal error sending email from trigger: send_email() failed in /home/kieran/Code/sit/lib/trigger.class.php @ line 408 trigger_error() send_trigger_email() trigger_action() fire() TriggerEvent()
TagsNo tags attached.
Attached Files

- Relationships
related to 0001442closed When sending email including CC from incident error occurs 

-  Notes
User avatar (0003078)
kieran (administrator)
2010-04-16 10:26

This might be my lack of an MTA, need to check.
User avatar (0003079)
ivan (administrator)
2010-04-16 13:33

If it is, then we need to fail more gracefully I would say.
User avatar (0003080)
kieran (administrator)
2010-04-16 19:21

After installing postix, the email sends but I still get the top error:

preg_replace(): Compilation failed: nothing to repeat at offset 8 in /home/kieran/Code/sit/lib/mime.inc.php @ line 90 preg_replace() MIME_mail() send_email() send_trigger_email() trigger_action() fire() TriggerEvent()
User avatar (0003535)
ivan (administrator)
2011-01-12 17:51

Confirming. Spotted in this forum post.

http://sitracker.org/forum/viewtopic.php?f=4&p=3855&sid=0a8f416a6a6be8f2132609db041f9619#p3855 [^]
User avatar (0003600)
kieran (administrator)
2011-02-13 21:27

Seems to be fixed now.

- Issue History
Date Modified Username Field Change
2010-04-15 21:31 kieran New Issue
2010-04-16 10:26 kieran Note Added: 0003078
2010-04-16 10:26 kieran Assigned To => kieran
2010-04-16 10:26 kieran Status new => feedback
2010-04-16 13:33 ivan Note Added: 0003079
2010-04-16 19:21 kieran Note Added: 0003080
2010-04-16 19:21 kieran Status feedback => assigned
2010-04-16 19:21 kieran Status assigned => new
2010-04-16 19:21 kieran Target Version 4.0 =>
2011-01-12 17:51 ivan Note Added: 0003535
2011-01-12 17:51 ivan Status new => confirmed
2011-01-25 15:49 ivan Relationship added related to 0001442
2011-02-13 21:27 kieran Note Added: 0003600
2011-02-13 21:27 kieran Status confirmed => resolved
2011-02-13 21:27 kieran Fixed in Version => Current GIT
2011-02-13 21:27 kieran Resolution open => fixed
2011-02-22 15:08 ivan Target Version => 3.90beta1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker